Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 565)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 566)
@@ -3246,10 +3335,9 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"pt","vpt","lpt"/),lgres)       
-
+                  lbid = gsn_create_legend(wks,3,(/"pt","vpt","lpt"/),lgres) 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88	    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_pt)
                   pt=1
@@ -3261,5 +3349,6 @@
                end if
             end if            
-            if (vNam(varn) .EQ. "q" .OR. vNam(varn) .EQ. "qv" .OR. vNam(varn) .EQ. "ql") then
+            if (vNam(varn) .EQ. "q" .OR. vNam(varn) .EQ. "qv" .OR. \
+                vNam(varn) .EQ. "ql") then
                if (q .EQ. 0) then
                   res@gsnLeftString      = "q, qv and ql"
@@ -3285,5 +3374,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3292,13 +3381,13 @@
                   lgres@lgLabelFont        = "helvetica"    
                   lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.06          
+                  lgres@vpWidthF           = 0.07          
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"q","qv","ql"/),lgres)       
+                  lbid = gsn_create_legend(wks,3,(/"q","qv","ql"/),lgres)
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_q)
                   q=1
@@ -3311,5 +3400,6 @@
             end if    
            
-            if (vNam(varn) .EQ. "e" .OR. vNam(varn) .EQ. "es" .OR. vNam(varn) .EQ. "e*" ) then
+            if (vNam(varn) .EQ. "e" .OR. vNam(varn) .EQ. "es" .OR. \
+                vNam(varn) .EQ. "e*" ) then
                if (e .EQ. 0) then
                   res@gsnLeftString      = "e and e*"
@@ -3332,5 +3422,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3339,5 +3429,5 @@
                   lgres@lgLabelFont        = "helvetica"    
                   lgres@lgLabelFontHeightF = font_size_legend           
-                  lgres@vpWidthF           = 0.06           
+                  lgres@vpWidthF           = 0.07           
                   lgres@vpHeightF          = 0.08          
                   lgres@lgDashIndexes      = (/0,1,2/)
@@ -3345,7 +3435,7 @@
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.365            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_e)
                   e=1
@@ -3378,5 +3468,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3385,5 +3475,5 @@
                   lgres@lgLabelFont        = "helvetica"    
                   lgres@lgLabelFontHeightF = font_size_legend           
-                  lgres@vpWidthF           = 0.06           
+                  lgres@vpWidthF           = 0.07           
                   lgres@vpHeightF          = 0.08          
                   lgres@lgDashIndexes      = (/0,1,2/)
@@ -3391,7 +3481,7 @@
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.365            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_km) 
                   km=1
@@ -3404,6 +3494,7 @@
             end if           
            
-            if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "wsus" .OR. vNam(varn) .EQ. "wu" \
-                .OR. vNam(varn) .EQ. "w"+dq+"u"+dq .OR. vNam(varn) .EQ. "w*u*") then
+            if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "wsus" .OR.      \
+                vNam(varn) .EQ. "wu" .OR. vNam(varn) .EQ. "w"+dq+"u"+dq .OR. \
+                vNam(varn) .EQ. "w*u*") then
                if (wpup .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"u"+dq+", w*u* and wu"
@@ -3429,5 +3520,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3439,10 +3530,11 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"u"+dq,"w*u*","wu"/),lgres)       
+                  lbid = gsn_create_legend(\
+                                wks,3,(/"w"+dq+"u"+dq,"w*u*","wu"/),lgres)
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpup)
                   wpup=1
@@ -3454,6 +3546,7 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpvp" .OR. vNam(varn) .EQ. "wsvs" .OR.vNam(varn) .EQ. "wv"\
-                .OR. vNam(varn) .EQ. "w"+dq+"v"+dq .OR. vNam(varn) .EQ. "w*v*") then
+            if (vNam(varn) .EQ. "wpvp" .OR. vNam(varn) .EQ. "wsvs" .OR.     \
+               vNam(varn) .EQ. "wv" .OR. vNam(varn) .EQ. "w"+dq+"v"+dq .OR. \
+               vNam(varn) .EQ. "w*v*") then
                if (wpvp .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"v"+dq+", w*v* and wv"
@@ -3479,5 +3572,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3489,10 +3582,11 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"v"+dq,"w*v*","wv"/),lgres)       
+                  lbid = gsn_create_legend(\
+                             wks,3,(/"w"+dq+"v"+dq,"w*v*","wv"/),lgres)       
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpvp)
                   wpvp=1
@@ -3504,6 +3598,7 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wspts" .OR. vNam(varn) .EQ. "wpt"\
-                .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq .OR. vNam(varn) .EQ. "w*pt*") then
+            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wspts" .OR.     \
+                vNam(varn) .EQ. "wpt" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq .OR.\
+                vNam(varn) .EQ. "w*pt*") then
                if (wpptp .EQ. 0) then                 
                   res@gsnLeftString      = "w"+dq+"pt"+dq+", w*pt* and wpt"
@@ -3529,5 +3624,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3539,10 +3634,11 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)              
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"pt"+dq,"w*pt*","wpt"/),lgres)     
+                  lbid = gsn_create_legend(\
+                               wks,3,(/"w"+dq+"pt"+dq,"w*pt*","wpt"/),lgres)
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpptp)
                   wpptp=1
@@ -3554,5 +3650,6 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wsptsBC" .OR. vNam(varn) .EQ. "wptBC" .OR. vNam(varn) .EQ. "w*pt*BC") then
+            if (vNam(varn) .EQ. "wsptsBC" .OR. vNam(varn) .EQ. "wptBC" .OR.\
+                vNam(varn) .EQ. "w*pt*BC") then
                if (wsptsBC .EQ. 0) then
                   res@gsnLeftString      = "w*pt*BC and wptBC"
@@ -3575,5 +3672,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3585,10 +3682,11 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w*pt*BC","wptBC"/),lgres)       
+                  lbid = gsn_create_legend(\
+                                        wks,3,(/"w*pt*BC","wptBC"/),lgres)
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wsptsBC)
                   wsptsBC=1
@@ -3600,6 +3698,7 @@
                end if  
             end if             
-            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "wsvpts" .OR. vNam(varn) .EQ. "wvpt"\
-                .OR. vNam(varn) .EQ. "w"+dq+"vpt"+dq .OR. vNam(varn) .EQ. "w*vpt*") then
+            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "wsvpts" .OR. \
+                vNam(varn) .EQ. "wvpt" .OR. vNam(varn) .EQ. \
+                "w"+dq+"vpt"+dq .OR. vNam(varn) .EQ. "w*vpt*") then
                if (wpvptp .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"vpt"+dq+", w*vpt* and wvpt"
@@ -3625,5 +3724,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3635,10 +3734,10 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"vpt"+dq,"w*vpt*","wvpt"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                             wks,3,(/"w"+dq+"vpt"+dq,"w*vpt*","wvpt"/),lgres)
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpvptp)
                   wpvptp=1
@@ -3650,6 +3749,7 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpqp" .OR. vNam(varn) .EQ. "wsqs" .OR. vNam(varn) .EQ. "wq"\
-                 .OR. vNam(varn) .EQ. "w"+dq+"q"+dq .OR. vNam(varn) .EQ. "w*q*") then
+            if (vNam(varn) .EQ. "wpqp" .OR. vNam(varn) .EQ. "wsqs" .OR.      \
+                vNam(varn) .EQ. "wq" .OR. vNam(varn) .EQ. "w"+dq+"q"+dq .OR. \
+                vNam(varn) .EQ. "w*q*") then
                if (wpqp .EQ. 0) then 
                   res@gsnLeftString      = "w"+dq+"q"+dq+", w*q* and wq"
@@ -3675,5 +3775,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3685,10 +3785,11 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"q"+dq,"w*q*","wq"/),lgres)       
+                  lbid = gsn_create_legend(\
+                             wks,3,(/"w"+dq+"q"+dq,"w*q*","wq"/),lgres)       
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpqp)
                   wpqp=1
@@ -3700,6 +3801,7 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "wsqvs" .OR. vNam(varn) .EQ. "wqv"\
-                .OR. vNam(varn) .EQ. "w"+dq+"qv"+dq .OR. vNam(varn) .EQ. "w*qv*") then
+            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "wsqvs" .OR.     \
+                vNam(varn) .EQ. "wqv" .OR. vNam(varn) .EQ. "w"+dq+"qv"+dq .OR.\
+                vNam(varn) .EQ. "w*qv*") then
                if (wpqvp .EQ. 0) then
                   res@gsnLeftString      ="w"+dq+"qv"+dq+" , w*qv* and wqv"
@@ -3725,5 +3827,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3735,10 +3837,11 @@
                   lgres@vpHeightF          = 0.12         
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"qv"+dq,"w*qv*","wqv"/),lgres)       
+                  lbid = gsn_create_legend(\
+                                wks,3,(/"w"+dq+"qv"+dq,"w*qv*","wqv"/),lgres)
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpqvp) 
                   wpqvp=1
@@ -3750,6 +3853,7 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpsp" .OR. vNam(varn) .EQ. "wsss" .OR. vNam(varn) .EQ. "ws"\
-                .OR. vNam(varn) .EQ. "w"+dq+"s"+dq .OR. vNam(varn) .EQ. "w*s*") then
+            if (vNam(varn) .EQ. "wpsp" .OR. vNam(varn) .EQ. "wsss" .OR.     \
+                vNam(varn) .EQ. "ws" .OR. vNam(varn) .EQ. "w"+dq+"s"+dq .OR.\
+                vNam(varn) .EQ. "w*s*") then
                if (wpsp .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"s"+dq+", w*s* and ws"
@@ -3775,5 +3879,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3785,10 +3889,11 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"s"+dq,"w*s*","ws"/),lgres)       
+                  lbid = gsn_create_legend(\
+                           wks,3,(/"w"+dq+"s"+dq,"w*s*","ws"/),lgres)       
 
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpsp)
                   wpsp=1
@@ -3800,6 +3905,7 @@
                end if
             end if 
-            if (vNam(varn) .EQ. "wpsap" .OR.vNam(varn) .EQ. "wssas" .OR. vNam(varn) .EQ. "wsa"\
-                .OR. vNam(varn) .EQ. "w"+dq+"sa"+dq .OR. vNam(varn) .EQ. "w*sa*") then
+            if (vNam(varn) .EQ. "wpsap" .OR.vNam(varn) .EQ. "wssas" .OR.      \
+                vNam(varn) .EQ. "wsa" .OR. vNam(varn) .EQ. "w"+dq+"sa"+dq .OR.\
+                vNam(varn) .EQ. "w*sa*") then
                if (wpsap .EQ. 0) then
                   res@gsnLeftString      = "w"+dq+"sa"+dq+", w*sa* and wsa"
@@ -3825,5 +3931,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3835,10 +3941,10 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"sa"+dq,"w*sa*","wsa"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                             wks,3,(/"w"+dq+"sa"+dq,"w*sa*","wsa"/),lgres)
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wpsap)
                   wpsap=1
@@ -3851,6 +3957,7 @@
             end if
           
-            if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "vs2" .OR. vNam(varn) .EQ. "ws2" \
-                .OR. vNam(varn) .EQ. "u*2" .OR. vNam(varn) .EQ. "v*2" .OR. vNam(varn) .EQ. "w*2" ) then
+            if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "vs2" .OR. \
+                vNam(varn) .EQ. "ws2" .OR. vNam(varn) .EQ. "u*2" .OR. \
+                vNam(varn) .EQ. "v*2" .OR. vNam(varn) .EQ. "w*2" ) then
                if (us2 .EQ. 0) then
                   res@gsnLeftString      = "u*2, v*2 and w*2"
@@ -3876,5 +3983,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3886,10 +3993,9 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"u*2","v*2","w*2"/),lgres)       
-
+                  lbid = gsn_create_legend(wks,3,(/"u*2","v*2","w*2"/),lgres)
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_us2)
                   us2=1
@@ -3902,6 +4008,10 @@
             end if
            
-            if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "wspsodz" .OR. vNam(varn) .EQ. "wpeodz" \
-               .OR. vNam(varn) .EQ. "w*u*u*:dz" .OR. vNam(varn) .EQ. "w*p*:dz" .OR. vNam(varn) .EQ. "w"+dq+"e:dz") then
+            if (vNam(varn) .EQ. "wsususodz" .OR. \
+                vNam(varn) .EQ. "wspsodz" .OR.   \
+                vNam(varn) .EQ. "wpeodz" .OR.    \
+                vNam(varn) .EQ. "w*u*u*:dz" .OR. \
+                vNam(varn) .EQ. "w*p*:dz" .OR.   \
+                vNam(varn) .EQ. "w"+dq+"e:dz") then
                if (wsususodz .EQ. 0) then 
                   res@gsnLeftString      = "w*u*u*:dz, w*p*:dz and w"+dq+"e:dz"
@@ -3909,10 +4019,12 @@
                   res@gsnRightString     = " "
                   if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
+                     res@trXMinF = min((/miniwsususodz,\
+                                                   miniwspsodz,miniwpeodz/))
                   else 
                      res@trXMinF = xs
                   end if
                   if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwsususodz,maxiwspsodz,maxiwpeodz/))
+                     res@trXMaxF = max((/maxiwsususodz,maxiwspsodz,\
+                                                               maxiwpeodz/))
                   else 
                      res@trXMaxF = xe  
@@ -3927,5 +4039,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -3937,10 +4049,10 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"w*u*u*:dz","w*p*:dz","w"+dq+"e:dz"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                           wks,3,(/"w*u*u*:dz","w*p*:dz","w"+dq+"e:dz"/),lgres)
                   amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  amres@amParallelPosF   = 0.88		    
+                  amres@amOrthogonalPosF = 0.33            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)
                   overlay(plot(n),plot_wsususodz)
                   wsususodz=1
@@ -3970,9 +4082,18 @@
       
          if (prof3d .EQ. 0) then
-            if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
+            if ( isStrSubset( vNam(varn), "time") .OR. \
+                 isStrSubset( vNam(varn), "NORM")) then
                check = False
             end if
          else
-            if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "zusi") .OR. isStrSubset( vNam(varn), "zwwi") .OR. isStrSubset( vNam(varn), "x") .OR. isStrSubset( vNam(varn), "xu") .OR. isStrSubset( vNam(varn), "y") .OR. isStrSubset( vNam(varn), "yv") .OR. isStrSubset( vNam(varn), "zu_3d") .OR. isStrSubset( vNam(varn), "zw_3d")) then
+            if ( isStrSubset( vNam(varn), "time") .OR.  \
+                 isStrSubset( vNam(varn), "zusi") .OR.  \
+                 isStrSubset( vNam(varn), "zwwi") .OR.  \
+                 isStrSubset( vNam(varn), "x") .OR.     \
+                 isStrSubset( vNam(varn), "xu") .OR.    \
+                 isStrSubset( vNam(varn), "y") .OR.     \
+                 isStrSubset( vNam(varn), "yv") .OR.    \
+                 isStrSubset( vNam(varn), "zu_3d") .OR. \
+                 isStrSubset( vNam(varn), "zw_3d")) then
                check = False
             end if
@@ -4059,5 +4180,6 @@
             print(" ")
 	    print("combining is not possible,")
-            print("'c_var'(= "+c_var+") must include two variables of the general plots = ")
+            print("'c_var'(= "+c_var+") must include two variables of "+\
+                  "the general plots = ")
 	    print("- "+com_var_avail)
 	    print("be sure to have one comma before and after the variable")
@@ -4073,5 +4195,6 @@
             print(" ")
 	    print("combining is not possible,")
-            print("'c_var'(= "+c_var+") must include three variables of the general plots = ")
+            print("'c_var'(= "+c_var+") must include three variables of "+\
+                  "the general plots = ")
 	    print("- "+com_var_avail)
 	    print("be sure to have one comma before and after the variable")
@@ -4114,5 +4237,6 @@
    no_frames = 0
 
-   if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. n .gt. no_rows*no_columns) then
+   if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. \
+       n .gt. no_rows*no_columns) then
       gsn_panel(wks,plot_,(/n,1/),resP)
       print(" ")
@@ -4125,5 +4249,6 @@
             no_frames = no_frames + 1  
          else
-            gsn_panel(wks,plot_(i:i+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
+            gsn_panel(wks,plot_(i:i+no_rows*no_columns-1),\
+                                                (/no_rows,no_columns/),resP)
             no_frames = no_frames + 1  
          end if
